# Uses of Enum Class
org.apache.lucene.search.SortedNumericSelector.Type

Packages that use SortedNumericSelector.Type
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.search
Code to search indices.

- ## Uses of SortedNumericSelector.Type in org.apache.lucene.document

  Methods in org.apache.lucene.document with parameters of type SortedNumericSelector.Type
  Modifier and Type
  Method
  Description
  `static SortField`
  DoubleField.`newSortField(String field, boolean reverse, SortedNumericSelector.Type selector)`
  Create a new `SortField` for double values.
  `static SortField`
  FloatField.`newSortField(String field, boolean reverse, SortedNumericSelector.Type selector)`
  Create a new `SortField` for float values.
  `static SortField`
  IntField.`newSortField(String field, boolean reverse, SortedNumericSelector.Type selector)`
  Create a new `SortField` for int values.
  `static SortField`
  LongField.`newSortField(String field, boolean reverse, SortedNumericSelector.Type selector)`
  Create a new `SortField` for long values.

- ## Uses of SortedNumericSelector.Type in org.apache.lucene.search

  Methods in org.apache.lucene.search that return SortedNumericSelector.Type
  Modifier and Type
  Method
  Description
  `SortedNumericSelector.Type`
  SortedNumericSortField.`getSelector()`
  Returns the selector in use for this sort
  `static SortedNumericSelector.Type`
  SortedNumericSelector.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SortedNumericSelector.Type[]`
  SortedNumericSelector.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.search with parameters of type SortedNumericSelector.Type
  Modifier and Type
  Method
  Description
  `static NumericDocValues`
  SortedNumericSelector.`wrap(SortedNumericDocValues sortedNumeric, SortedNumericSelector.Type selector, SortField.Type numericType)`
  Wraps a multi-valued SortedNumericDocValues as a single-valued view, using the specified selector and numericType.
  Constructors in org.apache.lucene.search with parameters of type SortedNumericSelector.Type
  Modifier
  Constructor
  Description
  ``
  `SortedNumericSortField(String field, SortField.Type type, boolean reverse, SortedNumericSelector.Type selector)`
  Creates a sort, possibly in reverse, specifying how the sort value from the document's set is selected.